summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorChris Kitching2018-07-13 18:37:56 +0100
committerChris Kitching2018-07-13 18:37:56 +0100
commitda19498b1e8f894e4d9fdc767d1d6e268498b3ec (patch)
treea6f26fbf93b6a55300925f2a59bbf39d7522bb81
parent0698c0798c003fd258fd744e06d26b6398574e0c (diff)
downloadaur-da19498b1e8f894e4d9fdc767d1d6e268498b3ec.tar.gz
Add requirements patch :D
-rw-r--r--.SRCINFO24
-rw-r--r--PKGBUILD42
-rw-r--r--requirements.patch43
3 files changed, 105 insertions, 4 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 70b70017640..3cf4a87513b 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,5 +1,5 @@
# Generated by mksrcinfo v8
-# Thu Jul 12 03:42:52 UTC 2018
+# Fri Jul 13 17:36:54 UTC 2018
pkgbase = python2-lnt-git
pkgdesc = LLVM nightly test infrastructure
pkgver = r1796.1384b08
@@ -7,9 +7,31 @@ pkgbase = python2-lnt-git
arch = x86_64
depends = python2
depends = python2-pip
+ depends = python2-setuptools
+ depends = python2-six
+ depends = python2-flask
+ depends = python2-flask-restful
+ depends = python2-jinja
+ depends = python2-markupsafe
+ depends = python2-sqlalchemy
+ depends = python2-werkzeug
+ depends = python2-argparse
+ depends = python2-itsdangerous
+ depends = python2-dateutil
+ depends = python2-gnupg
+ depends = python2-pytz
+ depends = python2-wsgiref
+ depends = python2-wtforms
+ depends = python2-flask-wtf
+ depends = python2-typing
+ depends = python2-click
+ depends = python2-yaml
+ depends = python2-requests
depends = python2-llvm-lit
source = git+https://github.com/llvm-mirror/lnt.git
+ source = requirements.patch
md5sums = SKIP
+ md5sums = 2426050291a6748ffece9c7ef3a5a9ee
pkgname = python2-lnt-git
diff --git a/PKGBUILD b/PKGBUILD
index eabb4f14715..d7ff41e0dde 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -5,15 +5,51 @@ pkgver=r1796.1384b08
pkgrel=1
pkgdesc="LLVM nightly test infrastructure"
arch=('x86_64')
-depends=(python2 python2-pip python2-llvm-lit)
-source=('git+https://github.com/llvm-mirror/lnt.git')
-md5sums=('SKIP')
+depends=(
+ python2
+ python2-pip
+ python2-setuptools
+
+ python2-six
+ python2-flask
+ python2-flask-restful
+ python2-jinja
+ python2-markupsafe
+ python2-sqlalchemy
+ python2-werkzeug
+ python2-argparse
+ python2-itsdangerous
+ python2-dateutil
+ python2-gnupg
+ python2-pytz
+ python2-wsgiref
+ python2-wtforms
+ python2-flask-wtf
+ python2-typing
+ python2-click
+ python2-yaml
+ python2-requests
+ python2-llvm-lit
+)
+source=(
+ 'git+https://github.com/llvm-mirror/lnt.git'
+ 'requirements.patch'
+)
+md5sums=(
+ 'SKIP'
+ '2426050291a6748ffece9c7ef3a5a9ee'
+)
pkgver() {
cd "lnt"
printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
}
+prepare() {
+ cd "lnt"
+ patch -p1 < $srcdir/requirements.patch
+}
+
build() {
cd "lnt"
python2 setup.py build
diff --git a/requirements.patch b/requirements.patch
new file mode 100644
index 00000000000..568242f774c
--- /dev/null
+++ b/requirements.patch
@@ -0,0 +1,43 @@
+diff -ura --color lnt/requirements.client.txt lnt.new/requirements.client.txt
+--- lnt/requirements.client.txt 2018-07-13 18:33:48.364735438 +0100
++++ lnt.new/requirements.client.txt 2018-07-13 18:14:08.993801287 +0100
+@@ -1,22 +1,22 @@
+ # Flask 0.11 does not work yet.
+ six
+-aniso8601==1.2.0
+-Flask==0.12.2
+-Flask-RESTful==0.3.4
+-Jinja2==2.7.2
+-MarkupSafe==0.23
+-SQLAlchemy==1.1.11
+-Werkzeug==0.12.2
+-argparse==1.3.0
+-itsdangerous==0.24
+-python-dateutil==2.6.0
+-python-gnupg==0.3.7
+-pytz==2016.10
+-wsgiref==0.1.2
+-WTForms==2.0.2
+-Flask-WTF==0.12
++aniso8601>=1.2.0
++Flask>=0.12.2
++Flask-RESTful>=0.3.4
++Jinja2>=2.7.2
++MarkupSafe>=0.23
++SQLAlchemy>=1.1.11
++Werkzeug>=0.12.2
++argparse>=1.3.0
++itsdangerous>=0.24
++python-dateutil>=2.6.0
++python-gnupg>=0.3.7
++pytz>=2016.10
++wsgiref>=0.1.2
++WTForms>=2.0.2
++Flask-WTF>=0.12
+ typing
+-click==6.7
+-pyyaml==3.12
++click>=6.7
++pyyaml>=3.12
+ requests
+ lit>=0.6.0